# pywerami

[![GitHub version](https://badge.fury.io/gh/ondrolexa%2Fpywerami.svg)](https://badge.fury.io/gh/ondrolexa%2Fpywerami)
[![Documentation Status](https://readthedocs.org/projects/pywerami/badge/?version=latest)](https://readthedocs.org/projects/pywerami/?badge=latest)
[![DOI](https://zenodo.org/badge/46796466.svg)](https://zenodo.org/badge/latestdoi/46796466)

## What is pywerami

pywerami is a stand-alone program to make an countour/3D plot from data
file generated by the Perple_X program WERAMI or tci file generated by
TCInvestigator.

## How to install

It is strongly suggested to install **pywerami** into separate environment. You can create
Python virtual environment. For Linux and macOS use:

    python -m venv .venv
    source .venv/bin/activate

for Windows use Command Prompt or PowerShell:

    python -m venv .venv
    .venv\Scripts\activate

> [!NOTE]
> On Microsoft Windows, it may be required to set the execution policy in PowerShell for the user.
> You can do this by issuing the following PowerShell command:
> ```
> Set-ExecutionPolicy -ExecutionPolicy RemoteSigned -Scope CurrentUser
> ```

and install **pywerami** using pip within the environment. **You should choose the UI framework using option** `pyqt5` **or** `pyqt6`:

    pip install pywerami[pyqt6]

## I'm using conda or mamba to manage environments

If you have already have conda or mamba installed, you can create environment with:

    conda create -n pywerami python pyqt numpy matplotlib scipy

or

    mamba create -n pywerami python pyqt numpy matplotlib scipy

Then activate the new environment:

    conda activate pywerami

or

    mamba activate pywerami

and install with pip. As PyQt is already installed with mamba/conda, we will install **pywerami** without UI framework:

    pip install pywerami

> [!NOTE]
> If you encounter errors during install, try to install without upgrading dependencies:
> ```
> pip install --no-deps pywerami
> ```

### Running pywerami
To start pywerami, simply type:

```bash
pywerami
```

Do not forget that virtual environment must be activated prior running `pywerami`.

## Getting help

If you get any errors [open a new Issue](https://github.com/ondrolexa/pywerami/issues) providing the versions from either command above, as well as any errors you saw in the console during the installation.

## Donate

pywerami is an open-source project, available for you for free. It took a lot of time and resources to build this software. If you find this software useful and want to support its future development please consider donating me.

[![Donate via PayPal](https://www.paypalobjects.com/en_US/i/btn/btn_donateCC_LG.gif)](https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=QTYZWVUNDUAH8&item_name=pywerami+development+donation&currency_code=EUR&source=url)

## License

pywerami is free software: you can redistribute it and/or modify it under the terms of the MIT License. A copy of this license is provided in ``LICENSE`` file.
